WITH filled_data AS (
  SELECT
    m."Last Name",
    m."First Name",
    e.eventdate,
    EXISTS(
        SELECT 1
        FROM events_members em
        WHERE em.events_id = e.id AND
              em."members_Contact ID" = m."Contact ID"
    ) AS participation
  FROM members m
  CROSS JOIN events e
)
SELECT 
    'dynamic' AS component,
    jsonb_build_object('Name', "Last Name" || ', ' || "First Name") ||
    jsonb_object_agg(
        eventdate,
        CASE WHEN participation THEN '✅' END
        ORDER BY eventdate
) AS properties
FROM filled_data
GROUP BY "Last Name", "First Name"
ORDER BY "Last Name", "First Name";


select 'table' as component;
select *
from members m 
left join events_members em on m."Contact ID" = em."members_Contact ID"
left join events e on em.events_id = e.id
order by m."Last Name", m."First Name", e.eventdate;