-- Create table for members
CREATE TABLE members (
    "Contact ID" SERIAL PRIMARY KEY,
    "Last Name" TEXT NOT NULL,
    "First Name" TEXT NOT NULL
);

-- Create table for events
CREATE TABLE events (
    id SERIAL PRIMARY KEY,
    eventdate DATE NOT NULL
);

-- Create table for events_members (linking table)
CREATE TABLE events_members (
    "members_Contact ID" INT REFERENCES members("Contact ID"),
    events_id INT REFERENCES events(id),
    PRIMARY KEY ("members_Contact ID", events_id)
);

-- Insert sample data into members
INSERT INTO members ("Contact ID", "Last Name", "First Name") VALUES
(1, 'Doe', 'John'),
(2, 'Smith', 'Jane'),
(3, 'Brown', 'Chris');

-- Insert sample data into events
INSERT INTO events (id, eventdate) VALUES
(1, '2024-01-17'),
(2, '2024-03-20'),
(3, '2024-06-19'),
(4, '2024-09-18');

-- Insert sample data into events_members
INSERT INTO events_members ("members_Contact ID", events_id) VALUES
(3, 1),  -- Brown attends January event
(1, 2),  -- Doe attends March event
(1, 3),  -- Doe attends June event
(2, 4);  -- Smith attends September event

create extension tablefunc;